
SUFFIXES += .basda 

CLEANFILES += $(patsubst %.basda, %Interface.h, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %Interface.cc, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %Skeleton.h, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %Skeleton.cc, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %.cc, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %.h, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %Py.cc, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %Exception.h, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %InternalException.h, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %InternalException.cc, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %InternalData.h, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %InternalData.cc, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %InternalOperators.h, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %InternalOperators.cc, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %InternalVar.h, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %InternalVar.cc, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %InternalVar.ice, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %InternalType.cc, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %InternalType.h, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %InternalType.nice, $(filter %.basda, $(SOURCES)))
CLEANFILES += $(patsubst %.basda, %InternalType.ice, $(filter %.basda, $(SOURCES))) 
CLEANFILES += $(patsubst %.basda, %InternalType.ice, $(filter %.basda, $(SOURCES))) 
CLEANFILES += $(patsubst %.basda, %InternalType.nice.cc, $(filter %.basda, $(SOURCES)))

basda_build_files = $(builddir)/$(patsubst %.basda, %.cc, $(filter %.basda, $(SOURCES)))
$(basda_build_files): $(BASDA_XX)

BUILT_SOURCES += $(patsubst %.basda, %.cc, $(filter %.basda, $(SOURCES)))

BASDAIT=if (test `dirname $(subst $(srcdir),.,$*).basda` != "."); then mkdir -p `dirname $(subst $(srcdir),.,$*).basda`; fi; \
    $(BASDA_XX) -i $(srcdir)/$*.basda -I $(subst $(srcdir),.,$*); \
    if ! $(ICE_SLICE2CPP) $(SLICE_INC) $(SLICE_COPT) --source-ext=cc --header-ext=h $(subst $(srcdir),.,$*)InternalVar.ice; then \
          exit -1; \
    fi; \
    if ! $(NICE_CC) $(NICE_CC_DATADIR)/Nice/PropertyTemplate.n2c . $*InternalType $(NICE_SWIGIN); then \
          exit -1; \
        fi; \
        if ! $(ICE_SLICE2CPP) $(SLICE_INC) $(SLICE_COPT) --source-ext=cc --header-ext=h $(subst $(srcdir),.,$*)InternalType.ice; then \
          exit -1; \
        fi; \
    cat $(subst $(srcdir),.,$*)InternalType.nice.cc >> $(subst $(srcdir),.,$*)InternalType.cc

AM_V_BASDA = $(am__v_BASDA_$(V))
am__v_BASDA_ = $(am__v_BASDA_$(AM_DEFAULT_VERBOSITY))
am__v_BASDA_0 = @echo "  BASDA " $@; $(BASDAIT)
am__v_BASDA_1 = $(BASDAIT) -v

.basda.cc: 
	$(AM_V_BASDA)

all-local-basda:
 

install-data-hook-basda:
	@list='$(patsubst %.basda,%Interface.h, $(filter %.basda, $(SOURCES))) $(patsubst %.basda,%Exception.h, $(filter %.basda, $(SOURCES)))'; \
	if test "x$(NOINSTALL)" == "x"; then \
	  for i in $$list; do \
	    $(install_sh_DATA) $$i $(DESTDIR)${includedir}/$$i; \
	  done; \
	fi;

uninstall-data-hook-basda:
	@list='$(patsubst %.basda,%Interface.h, $(filter %.basda, $(SOURCES))) $(patsubst %.basda,%Exception.h, $(filter %.basda, $(SOURCES)))'; \
	if test "x$(NOINSTALL)" == "x"; then \
	  for i in $$list; do \
	    rm -f $(DESTDIR)${includedir}/$$i; \
	  done; \
	fi;
